dev-qt / qtwebkit

WebKit rendering library for the Qt5 framework (deprecated)

Official package sites : https://www.qt.io/ ·

v5.212.0_pre20200309-r1 :: 5/5.212 :: gentoo

Modified
License
BSD LGPL-2+
Keywords
amd64 arm arm64 ppc64 x86
USE flags
X geolocation gles2-only gstreamer hyphen jit multimedia nsplugin opengl orientation printsupport qml webp

General

X
Add support for X11
geolocation
Enable physical position determination via dev-qt/qtpositioning
gles2-only
Use GLES 2.0 or later instead of full OpenGL
gstreamer
Enable HTML5 audio/video support via media-libs/gstreamer using SLOT 1.0
hyphen
Enable hyphenation support via dev-libs/hyphen
jit
Enable just-in-time compilation for improved performance. May prevent use of some PaX memory protection features in Gentoo Hardened.
multimedia
Enable HTML5 audio/video support via dev-qt/qtmultimedia
nsplugin
Build plugin for browsers supporting the Netscape plugin architecture (that is almost any modern browser)
opengl
Add support for OpenGL (3D graphics)
orientation
Enable device orientation detection via dev-qt/qtsensors
printsupport
Enable printing via dev-qt/qtprintsupport
qml
Build QML/QtQuick bindings
webp
Add support for the WebP image format

dev-db / sqlite : SQL database engine

dev-libs / glib : The GLib library of C routines

dev-libs / hyphen : ALTLinux hyphenation library

dev-libs / icu : International Components for Unicode

dev-libs / libxml2 : XML C parser and toolkit

dev-libs / libxslt : XSLT libraries and tools

dev-qt / qtcore : Cross-platform application development framework

dev-qt / qtdeclarative : The QML and Quick modules for the Qt5 framework

dev-qt / qtgui : The GUI module and platform plugins for the Qt5 framework

dev-qt / qtmultimedia : Multimedia (audio, video, radio, camera) library for the Qt5 framework

dev-qt / qtnetwork : Network abstraction library for the Qt5 framework

dev-qt / qtopengl : OpenGL support library for the Qt5 framework (deprecated)

dev-qt / qtpositioning : Physical position determination library for the Qt5 framework

dev-qt / qtprintsupport : Printing support library for the Qt5 framework

dev-qt / qtsensors : Hardware sensor access library for the Qt5 framework

dev-qt / qtwebchannel : Qt5 module for integrating C++ and QML applications with HTML/JavaScript clients

dev-qt / qtwidgets : Set of components for creating classic desktop-style UIs for the Qt5 framework

media-libs / gst-plugins-bad : Less plugins for GStreamer

media-libs / gst-plugins-base : Basepack of plugins for gstreamer

media-libs / gstreamer : Open source multimedia framework

media-libs / libpng : Portable Network Graphics library

media-libs / libwebp : A lossy image compression format

media-libs / woff2 : Encode/decode WOFF2 font format

virtual / jpeg : Virtual to select between libjpeg-turbo and IJG jpeg for source-based packages

x11-libs / libX11 : X.Org X11 library

x11-libs / libXcomposite : X.Org Xcomposite library

x11-libs / libXrender : X.Org Xrender library

dev-db / sqlite : SQL database engine

dev-libs / glib : The GLib library of C routines

dev-libs / hyphen : ALTLinux hyphenation library

dev-libs / icu : International Components for Unicode

dev-libs / libxml2 : XML C parser and toolkit

dev-libs / libxslt : XSLT libraries and tools

dev-qt / qtcore : Cross-platform application development framework

dev-qt / qtdeclarative : The QML and Quick modules for the Qt5 framework

dev-qt / qtgui : The GUI module and platform plugins for the Qt5 framework

dev-qt / qtmultimedia : Multimedia (audio, video, radio, camera) library for the Qt5 framework

dev-qt / qtnetwork : Network abstraction library for the Qt5 framework

dev-qt / qtopengl : OpenGL support library for the Qt5 framework (deprecated)

dev-qt / qtpositioning : Physical position determination library for the Qt5 framework

dev-qt / qtprintsupport : Printing support library for the Qt5 framework

dev-qt / qtsensors : Hardware sensor access library for the Qt5 framework

dev-qt / qtwebchannel : Qt5 module for integrating C++ and QML applications with HTML/JavaScript clients

dev-qt / qtwidgets : Set of components for creating classic desktop-style UIs for the Qt5 framework

media-libs / gst-plugins-bad : Less plugins for GStreamer

media-libs / gst-plugins-base : Basepack of plugins for gstreamer

media-libs / gstreamer : Open source multimedia framework

media-libs / libpng : Portable Network Graphics library

media-libs / libwebp : A lossy image compression format

media-libs / woff2 : Encode/decode WOFF2 font format

virtual / jpeg : Virtual to select between libjpeg-turbo and IJG jpeg for source-based packages

x11-libs / libX11 : X.Org X11 library

x11-libs / libXcomposite : X.Org Xcomposite library

x11-libs / libXrender : X.Org Xrender library

app-office / kexi : Visual database applications creator

app-text / fb2edit : Create and edit fb2 books

dev-libs / kreport : Framework for creation and generation of reports in multiple formats

dev-python / PyQt5 : Python bindings for the Qt framework

mail-client / trojita : A Qt IMAP e-mail client

media-plugins / mythplugins : Official MythTV plugins

net-irc / kvirc : Advanced IRC Client

net-misc / teamviewer : All-In-One Solution for Remote Access and Support over the Internet

522320
app-text/calibre with dev-qt/qtwebkit[-icu] - viewer does not hyphenate
570534
dev-qt/qtwebkit & dev-qt/qtwebengine: use check-reqs.eclass
668978
dev-qt/qtwebkit-5.212.0 fails to build: undefined reference to 'llint_entry'
680784
dev-qt/qtwebkit-5.212.0_pre20180120 - Could NOT find Ruby: Found unsuitable version "1.8.0", but required is at least "1.9" (found /usr/bin/ruby25)
684580
[Tracker] dev-qt/qtwebkit deprecation
685750
mail-client/trojita depends on deprecated dev-qt/qtwebkit:5
703752
dev-qt/qtwebkit-5.212.0_pre20190629 fails to build: undefined reference to `pthread_create'
705094
www-client/qutebrowser - add optional support for building against dev-qt/qtwebkit
716380
dev-qt/qtwebkit-5.212.0_pre20200309-r1[jit]: TLS relocation against invalid instruction
726754
dev-qt/qtwebkit-5.212.0_pre20200309-r1 does not respect -j<number> in MAKEOPTS during install step
740416
app-text/fb2edit depends on deprecated dev-qt/qtwebkit
750881
net-irc/kvirc[webkit]: Drop optional support for deprecated dev-qt/qtwebkit:5
750893
media-plugins/mythplugins[mythmusic|mythbrowser]: Drop optional support for deprecated dev-qt/qtwebkit:5
750899
net-misc/teamviewer depends on deprecated dev-qt/qtwebkit:5
Repository mirror & CI · gentoo
Merge updates from master
Matt Turner · gentoo
dev-qt/qtwebkit: Fix build with glib-2.68
Closes: https://bugs.gentoo.org/777759 Signed-off-by: Matt Turner <mattst88@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Actually add py39 to PYTHON_COMPAT
Package-Manager: Portage-3.0.18, Repoman-3.0.3 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Fix build with python-3.9
Thanks-to: Francesco Riosa <vivo75@gmail.com> Closes: https://bugs.gentoo.org/766303 Package-Manager: Portage-3.0.18, Repoman-3.0.3 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove obsolete values from PYTHON_COMPAT
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Fix build with ICU-68
Thanks-to: Lars Wendler <polynomial-c@gentoo.org> Closes: https://bugs.gentoo.org/753260 Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Fix build with sys-devel/bison-3.7
Closes: https://bugs.gentoo.org/736499 Package-Manager: Portage-3.0.3, Repoman-3.0.0 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-qt/qtwebkit: dekeyword ppc
The final binary overfows relocation offsets and does not work as-is. Let's dekeyword them following net-libs/webkit-gtk. Bug: https://bugs.gentoo.org/660356 Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Drop 5.212.0_pre20190629-r1
Package-Manager: Portage-2.3.96, Repoman-2.3.22 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Mart Raudsepp · gentoo
dev-qt/qtwebkit: arm64 stable (bug #716068)
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: ppc64 stable wrt bug #716068
Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Repository mirror & CI · gentoo
Merge updates from master
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: x86 stable wrt bug #716068
Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: arm stable wrt bug #716068
Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="arm" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: amd64 stable wrt bug #716068
Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: 5.212.0_pre20200309 (alpha4) version bump
- Build with python3. - Unconditionally depend on media-libs/woff2 Closes: https://bugs.gentoo.org/698990 Closes: https://bugs.gentoo.org/704748 Package-Manager: Portage-2.3.93, Repoman-2.3.20 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Alexey Shvetsov · gentoo
dev-qt/qtwebkit: fix newline
Package-Manager: Portage-2.3.83, Repoman-2.3.20 Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>
Alexey Shvetsov · gentoo
dev-qt/qtwebkit: works with ruby27
Package-Manager: Portage-2.3.83, Repoman-2.3.20 Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
*/*: Switch qt proj packages to cmake.eclass
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Drop 5.212.0_pre20180120
Package-Manager: Portage-2.3.80, Repoman-2.3.19 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
dev-qt/qtwebkit: arm stable wrt bug #700770
Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="arm" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: x86 stable wrt bug #700770
Package-Manager: Portage-2.3.76, Repoman-2.3.16 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Haelwenn (lanodan) Monnier · gentoo
dev-qt/qtwebkit: rename USE=gles2 to USE=gles2-only
Signed-off-by: Haelwenn (lanodan) Monnier <contact@hacktivis.me> Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Aaron Bauman · gentoo
dev-qt/qtwebkit: arm64 stable (bug #691738)
Signed-off-by: Aaron Bauman <bman@gentoo.org> Package-Manager: Portage-2.3.79, Repoman-2.3.18
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Fix build against ICU-65
Package-Manager: Portage-2.3.78, Repoman-2.3.17 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
dev-qt/qtwebkit: ppc64 stable wrt bug #691738
Package-Manager: Portage-2.3.76, Repoman-2.3.16 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
Mikle Kolyada · gentoo
dev-qt/qtwebkit: amd64 stable wrt bug #691738
Package-Manager: Portage-2.3.76, Repoman-2.3.16 RepoMan-Options: --include-arches="amd64" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: 5.212.0_pre20190629 snapshot bump
Package-Manager: Portage-2.3.75, Repoman-2.3.17 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Aaron Bauman · gentoo
dev-qt/qtwebkit: arm64 stable
Signed-off-by: Aaron Bauman <bman@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Fix js build error
Closes: https://bugs.gentoo.org/680912 Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Anthony G. Basile · gentoo
dev-qt/qtwebkit: stable on arm
Signed-off-by: Anthony G. Basile <blueness@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Alexey Shvetsov · gentoo
dev-qt/qtwebkit: works with ruby26
Closes: https://bugs.gentoo.org/674572 Package-Manager: Portage-2.3.55, Repoman-2.3.12 Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Fix pkgconfig
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Fix build with !hyphen
Closes: https://bugs.gentoo.org/666752 Reported-by: David Flogeras <dflogeras2@gmail.com> Thanks-to: Alexander Sergeyev <sergeev917@gmail.com> Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Security cleanup
Bug: https://bugs.gentoo.org/665240 Package-Manager: Portage-2.3.49, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-qt/qtwebkit: x86 stable (bug #665240)
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
dev-qt/qtwebkit: amd64 stable wrt bug #665240
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-qt/qtwebkit: stable 5.212.0_pre20180120 for ppc64, bug #665240
Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="ppc64"
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Fix invalid SRC_URI
Snapshot capability was probably shut down upstream. Closes: https://bugs.gentoo.org/665374 Package-Manager: Portage-2.3.49, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Add missing USE=printsupport handling
Closes: https://bugs.gentoo.org/660600 Package-Manager: Portage-2.3.49, Repoman-2.3.10
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Fix USE=-opengl by disabling tools
Closes: https://bugs.gentoo.org/662198 Package-Manager: Portage-2.3.49, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Trigger rebuild on dev-qt/qtwidgets subslot change
Package is hardcoding Qt version it was built against in cmake files. Closes: https://bugs.gentoo.org/661052 Package-Manager: Portage-2.3.42, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Davide Pesavento · gentoo
dev-qt/qtwebkit: minor improvements
* ensure USE=gles2 is enabled/disabled consistently * call the correct check-reqs eclass function Package-Manager: Portage-2.3.41, Repoman-2.3.9
Davide Pesavento · gentoo
dev-qt/qtwebkit: fix src_install sanity check on prefix
Bug: https://bugs.gentoo.org/572056 Package-Manager: Portage-2.3.41, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: 5.212.0_pre20180120 snapshot bump
Closes: https://bugs.gentoo.org/624404 Package-Manager: Portage-2.3.41, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-qt/qtwebkit: add slot operator to dev-libs/leveldb
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: 5.9.1 ~ppc, bug #655620
Tested-by: ernsteiswuerfel Package-Manager: Portage-2.3.40, Repoman-2.3.9
Andreas Sturmlechner · gentoo
dev-qt: Drop Qt 5.7.1
De-stabilising arm. Bug: https://bugs.gentoo.org/642822 Bug: https://bugs.gentoo.org/653986 Package-Manager: Portage-2.3.36, Repoman-2.3.9
Sergei Trofimovich · gentoo
dev-qt/qtwebkit: stable 5.9.1 for ppc64, bug #642822
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="ppc64"
Michael Palimaka · gentoo
dev-qt: stabilise 5.9.4 for amd64/x86
Bug: https://bugs.gentoo.org/642822 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Mikle Kolyada · gentoo
dev-qt/qtwebkit: Drop obsolete qtwebkit:4 packages
Bug: https://bugs.gentoo.org/620684 Package-Manager: Portage-2.3.13, Repoman-2.3.3
Davide Pesavento · gentoo
dev-qt/qtwebkit: restrict icu dependency
Gentoo-Bug: https://bugs.gentoo.org/618638 Package-Manager: Portage-2.3.16, Repoman-2.3.6
Andreas Sturmlechner · gentoo
dev-qt: Drop Qt 5.6.2, de-stabilise hppa
Closes: https://github.com/gentoo/gentoo/pull/6077 Package-Manager: Portage-2.3.13, Repoman-2.3.4
Davide Pesavento · gentoo
dev-qt: remove Qt 4.8.6
Closes: https://github.com/gentoo/gentoo/pull/6073 Package-Manager: Portage-2.3.13, Repoman-2.3.4
Michael Palimaka · gentoo
dev-qt: version bump 5.9.2
Bug: https://bugs.gentoo.org/625258 Package-Manager: Portage-2.3.8, Repoman-2.3.3
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Drop USE=gstreamer depending on deprecated slot 0.10
Gentoo-bug: 629172, 522880 Acked-by: kensington Package-Manager: Portage-2.3.8, Repoman-2.3.3
Markus Meier · gentoo
dev-qt/qtwebkit: arm stable, bug #620334
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="arm"
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: ppc64 stable wrt bug #620334
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Alexis Ballier · gentoo
dev-qt/qtwebkit: remove ~arm64 keywords on 5.6.2. We have 5.7.1 and 5.6 has broken deps on arm64
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: x86 stable wrt bug #620334
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: amd64 stable wrt bug #620334
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Michael Palimaka · gentoo
dev-qt/qtwebkit: die if nothing is built
Gentoo-bug: 572056 Package-Manager: Portage-2.3.5, Repoman-2.3.2
Davide Pesavento · gentoo
dev-qt/qtwebkit: fix build with ICU 59
Gentoo-Bug: 618644 Package-Manager: Portage-2.3.6, Repoman-2.3.2
Markus Meier · gentoo
dev-qt/qtwebkit: arm stable, bug #552396
Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="arm"
Sergei Trofimovich · gentoo
dev-qt/qtwebkit: ia64 stable, bug #552396
Package-Manager: Portage-2.3.6, Repoman-2.3.2 RepoMan-Options: --include-arches="ia64"
Michael Weber · gentoo
dev-qt/qtwebkit: ppc64 stable (bug 552396)
Package-Manager: Portage-2.3.5, Repoman-2.3.2 RepoMan-Options: --include-arches="amd64 arm arm64 ppc ppc64"
Michael Weber · gentoo
dev-qt/qtwebkit: ppc stable (bug 552396)
Package-Manager: Portage-2.3.5, Repoman-2.3.2 RepoMan-Options: --include-arches="amd64 arm arm64 ppc ppc64"
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: x86 stable wrt bug #552396
Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: amd64 stable wrt bug #552396
Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Davide Pesavento · gentoo
dev-qt: drop Qt 5.6.1
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
T. Malfatti · gentoo
media-libs/portaudio: Version bump
Agostino Sarubbo · gentoo
dev-qt/qtwebkit: ppc64 stable wrt bug #598780
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Markus Meier · gentoo
dev-qt/qtwebkit: arm stable, bug #598780
Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="arm"
Michael Palimaka · gentoo
dev-qt: remove 5.7.0
Package-Manager: portage-2.3.3
Michael Palimaka · gentoo
dev-qt: version bump 5.7.1
Package-Manager: portage-2.3.3
Michael Palimaka · gentoo
dev-qt: stabilise 5.6.2 for amd64/x86
Gentoo-bug: 598780 Package-Manager: portage-2.3.2
Davide Pesavento · gentoo
dev-qt: remove Qt 5.5.1
Package-Manager: portage-2.3.2
Davide Pesavento · gentoo
dev-qt: Qt 5.6.2 version bump
Package-Manager: portage-2.3.1
Markus Meier · gentoo
dev-qt/qtwebkit: arm stable, bug #586180
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="arm"
Michael Palimaka · gentoo
dev-qt: remove 5.6.0
Package-Manager: portage-2.3.0
Jeroen Roovers · gentoo
dev-qt/qtwebkit: Stable for PPC64 (bug #586180).
Package-Manager: portage-2.3.0 RepoMan-Options: --ignore-arches
Michael Palimaka · gentoo
dev-qt: version bump 5.7.0
Package-Manager: portage-2.3.0
Michael Palimaka · gentoo
dev-qt: stabilise 5.6.1 on amd64/x86
Gentoo-bug: 586180 Package-Manager: portage-2.3.0
Davide Pesavento · gentoo
dev-qt: Qt 5.6.1 version bump
Package-Manager: portage-2.3.0_rc1
Michael Palimaka · gentoo
dev-qt: stabilise 5.5.1 on x86
Gentoo-bug: 569924 Package-Manager: portage-2.3.0_rc1
Davide Pesavento · gentoo
dev-qt/qtwebkit: fix linking against libpthread
Gentoo-Bug: 581282 Package-Manager: portage-2.2.28
Michael Palimaka · gentoo
dev-qt: version bump 5.6.0
Package-Manager: portage-2.2.28
Davide Pesavento · gentoo
dev-qt: remove Qt 5.4.2
Markus Meier · gentoo
dev-qt/qtwebkit: arm stable, bug #569924
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="arm"
Jeroen Roovers · gentoo
dev-qt/qtwebkit: Stable for PPC64 (bug #569924).
Package-Manager: portage-2.2.27 RepoMan-Options: --ignore-arches
Ian Delaney · gentoo
Merge remote-tracking branch 'remotes/sbraz/syncthing'
Pull Request: https://github.com/gentoo/gentoo/pull/990
Mikle Kolyada · gentoo
dev-qt/qtwebkit: amd64 stable wrt bug #569924
Package-Manager: portage-2.2.26
Patrice Clement · gentoo
Merge remote-tracking branch 'github/pr/697'.
Gentoo-Bug: 558182 PR-Number: https://github.com/gentoo/gentoo/pull/697
Davide Pesavento · gentoo
dev-qt/qtwebkit: fix build with USE=-webchannel
Gentoo-Bug: 572442 Package-Manager: portage-2.2.27
Davide Pesavento · gentoo
dev-qt/qtwebkit: remove old
Package-Manager: portage-2.2.27
Davide Pesavento · gentoo
dev-qt/qtwebkit: use consistent patch names
Package-Manager: portage-2.2.27
Andreas Sturmlechner · gentoo
dev-qt/qtwebkit: Fix build with GCC-5, bug 570042
Patch taken from upstream, see also: https://bugreports.qt.io/browse/QTBUG-44829 https://codereview.qt-project.org/#/c/107921/ Package-Manager: portage-2.2.27
Michael Palimaka · gentoo
dev-qt/qtwebkit: introduce jit USE flag
Also prevent mixing of Qt versions. Gentoo-bug: 562396 Package-Manager: portage-2.2.26
Michael Palimaka · gentoo
dev-qt: remove 4.8.5
Michael Palimaka · gentoo
dev-qt: version bump 5.5.1
Package-Manager: portage-2.2.20.1
Jeroen Roovers · gentoo
dev-qt/qtwebkit: Stable for PPC64 (bug #543326).
Package-Manager: portage-2.2.20.1
Mikle Kolyada · gentoo
dev-qt/qtwebkit: arm stable wrt bug #543326
Package-Manager: portage-2.2.20.1
Davide Pesavento · gentoo
dev-qt: drop all prefix keywords from 4.8.6 and later.
See bug 529196 comment 17.
Mikle Kolyada · gentoo
gentoo/dev-qt: amd64 stable wrt bug #543326
Package-Manager: portage-2.2.20.1
Robin H. Johnson · gentoo
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed